package com.crm.rely.backend.core.pojo.view;

import com.crm.rely.backend.core.pojo.BaseTable;
import lombok.Data;
import java.util.Date;

/**
 * Created by max on 2020/4/1.
 */
@Data
public class TradeHistoryView {

    private Long order;

    private String ibNo;

    private Long login;

    private String symbol;

    private Integer cmd;

    private Float volume;

    private Date openTime;

    private Float openPrice;

    private Date closeTime;

    private Float closePrice;

    private Float sl;

    private Float tp;

    private Float profit;

    private Float commission;

    private Float storage;

    private String platform;

    private Long cId;

    public static TradeHistoryView getInstance(){
        TradeHistoryView view = new TradeHistoryView();
        view.setVolume(0F);
        view.setProfit(0F);
        view.setCommission(0F);
        view.setStorage(0F);
        return view;
    }

}
